"GraphQL API for accumulating donations and goals for political campaigns"
schema {
  query: QueryRoot
}

"Totals for the campaign goal"
type CampaignTarget {
  "The target dollar amount for the campaign goal"
  totalDollarAmount: Int!
}

"Totals for the campaign goal"
type DonationTotals {
  "Total dollar amount of donations"
  dollarAmount: Int!

  "Total number of individual donations made"
  numberOfDonations: Int!
}

"Root object of all queries"
type QueryRoot {
  "Donation totals for the current campaign"
  target: CampaignTarget!

  "Donation totals for the current campaign"
  totals: DonationTotals!
}